Docs

Get a transaction

GET /api/v1/programmatic/transactions/{id}

GET/api/v1/programmatic/transactions/{id}
Transactionsv1transactions:read

Returns one posted transaction from the PAT workspace.

Parameters

NameInType Description
idpathstringRequired <id>

Code examples

curl --request GET \
  --url 'https://api.tetri.app/api/v1/programmatic/transactions/<id>' \
  --header 'Authorization: Bearer $TETRI_API_TOKEN'

Responses

200Request completed successfully.
{
  "data": {
    "type": "transactions",
    "id": "<uuid>",
    "attributes": {
      "group_title": "<string>",
      "execution_status": "scheduled",
      "executed_at": "2026-07-12T12:00:00Z",
      "archived_at": "2026-07-12T12:00:00Z",
      "is_archived": false,
      "transactions": [
        {
          "transaction_journal_id": "<uuid>",
          "type": "withdrawal",
          "transfer_kind": "internal_fx",
          "date": "2026-07-12T12:00:00Z",
          "occurred_at": "2026-07-12T12:00:00Z",
          "business_date": "2026-07-12",
          "timezone": "Europe/Tbilisi",
          "description": "Grocery shopping",
          "amount": "42.50",
          "foreign_amount": "45.00",
          "foreign_currency_code": "EUR",
          "foreign_currency_symbol": "€",
          "currency_code": "USD",
          "currency_symbol": "$",
          "currency_decimal_places": 2,
          "source_id": "<uuid>",
          "source_name": "<string>",
          "source_type": "asset",
          "destination_id": "<uuid>",
          "destination_name": "<string>",
          "destination_type": "expense",
          "category_id": "<uuid>",
          "category_name": "<string>",
          "budget_id": "<uuid>",
          "budget_name": "<string>",
          "tags": [
            "<string>"
          ],
          "notes": "<string>",
          "last_reconciled_at": "2026-07-12",
          "reconciled": false,
          "status": "settled",
          "estimated_rate": "1.05",
          "final_rate": "1.058",
          "settled_at": "2026-07-12T12:00:00Z",
          "splits": [
            {
              "id": "<uuid>",
              "amount": "42.50",
              "category_id": "<uuid>",
              "note": "<string>",
              "tag_ids": [
                "<uuid>"
              ]
            }
          ],
          "has_splits": false,
          "remainder": "0.00",
          "fx_delta_home": "1.23",
          "effective_rate_journal": "0.9200"
        }
      ]
    }
  }
}
401The access token is missing, invalid, expired, or revoked.
403The token does not have the required scope or workspace access.
429The credential has exceeded its request limit.